package exercice2_repertoire;

public class NumTel {
	private int numero;
	private int code;
	private LabelNumTel label;
	
	public NumTel(int numero, int code, LabelNumTel label) {
		this.numero = numero;
		this.code = code;
		this.label = label;
	}
	// Création d'un numéro sans code (code 0) et avec label par défaut Mobile.
	public NumTel(int numero) {
		this.numero = numero;
		this.code = 0;
		this.label = LabelNumTel.Mobile;
	}
	
	public int getNumero() {
		return numero;
	}
	public void setNumero(int numero) {
		this.numero = numero;
	}
	public int getCode() {
		return code;
	}
	public void setCode(int code) {
		this.code = code;
	}
	public LabelNumTel getLabel() {
		return label;
	}
	public void setLabel(LabelNumTel label) {
		this.label = label;
	}
	// On compare les numéro, pas les code ni les labels

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + numero;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		NumTel other = (NumTel) obj;
		if (numero != other.numero)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "NumTel [numero=" + numero + ", code=" + code + ", label=" + label + "]";
	}
	
}
