/*
 * Tp 3 Collectons, exercice 1
 */
package exercice1_occurChaine;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

/**
 *
 * @author aponte
 */
public class OccurChaine {
    private TreeMap<String, Set<Character>> cache =
            new TreeMap<String, Set<Character>>();
    
    public Set<Character> charsIn(String s){
        if (cache.containsKey(s))
                return cache.get(s);
        char [] t = s.toCharArray();
        Set<Character> res = new HashSet<Character>();
        for (char c : t){
            res.add(c);
        }
        cache.put(s,res);
        return res;
    }
    
    private String stringSet(Set<Character> s){
        String res ="{";
        for (Character c : s){
            res=res+" "+c;
        }
        return res+" }";
    }
    public void afficheCacheAlpha(){
        for (Map.Entry<String, Set<Character>> entry : cache.entrySet()){
            System.out.println(entry.getKey() + " --> "+ 
                    stringSet(entry.getValue()));
        }
    }
    public void affichePoids(){
        ArrayList<Map.Entry<String, Set<Character>>> liste = new 
            ArrayList<Map.Entry<String, Set<Character>>>(cache.entrySet());
        Collections.sort(liste, new ComparePoidsChaines());
        for (Map.Entry<String, Set<Character>> entry : liste){
            System.out.println(entry.getKey()+ "-->" + entry.getValue().size());
        }
    }
}
